Bug 28242 - CarouselPage Disappearing event does not fire on Android
Summary: CarouselPage Disappearing event does not fire on Android
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.4.0
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-03-20 10:24 UTC by tim.ahrentlov
Modified: 2015-07-21 04:43 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Test case to reproduce bug (63 bytes, text/plain)
2015-03-20 10:24 UTC, tim.ahrentlov
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description tim.ahrentlov 2015-03-20 10:24:14 UTC
CarouselPage does Disappearing event not fire on Android.

Steps to reproduce:

1. Load test case.
2. Run on Android.
3. Swap between Detail 1 (carousel page) and Detail 2 in MasterPage.
4. Notice that the console only prints message for Appearing event.

If you do the same steps above for iOS test prints for both events appear in the console log.
Comment 1 tim.ahrentlov 2015-03-20 10:24:31 UTC
Created attachment 10429 [details]
Test case to reproduce bug
Comment 2 Udham Singh 2015-03-24 13:13:38 UTC
I have checked this issue with the help of sample app and steps given in bug description and able to reproduce the reported behaviour. 

Screencast : http://www.screencast.com/t/Pv10SQeC
Application Output (for Android app) : https://gist.github.com/Udham1/a7b281f9b135797741c4
Adb Logcat (for Android app) : https://gist.github.com/Udham1/f1a30ff5dfefc3cf2ed2
Ide Log : https://gist.github.com/Udham1/61d967a230e54736d543

Environment Info : 

Xamarin.Forms : 1.4.1.6347-pre2

=== Xamarin Studio ===

Version 5.8.2 (build 5)
Installation UUID: ce927b2a-2c07-44c5-b186-09cfdafba6dc
Runtime:
	Mono 3.12.1 ((detached/0849ec7)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 312010003

=== Xamarin.Android ===

Version: 4.20.1.0 (Business Edition)
Android SDK: /Users/xamarin76/Desktop/android-sdk-macosx
	Supported Android versions:
		1.6    (API level 4)
		2.1    (API level 7)
		2.2    (API level 8)
		2.3    (API level 10)
		3.1    (API level 12)
		4.0    (API level 14)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.7.0_65"
Java(TM) SE Runtime Environment (build 1.7.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)

=== Xamarin Android Player ===

Version: Unknown version
Location: /Applications/Xamarin Android Player.app

=== Apple Developer Tools ===

Xcode 6.2 (6776)
Build 6C131e

=== Xamarin.iOS ===

Version: 8.8.2.2 (Business Edition)
Hash: f5d0c5e
Branch: 
Build date: 2015-03-20 06:51:49-0400

=== Xamarin.Mac ===

Version: 2.0.0.141 (Business Edition)

=== Build Information ===

Release ID: 508020005
Git revision: 541c06a4f6c95383333375d56fd6c23ce48cb916
Build date: 2015-03-20 09:23:08-04
Xamarin addins: 02510c4990dee3475c282b3182d588975a63ff07

=== Operating System ===

Mac OS X 10.9.5
Darwin Xamarin76s-Mac-mini.local 13.4.0 Darwin Kernel Version 13.4.0
    Sun Aug 17 19:50:11 PDT 2014
    root:xnu-2422.115.4~1/RELEASE_X86_64 x86_64
Comment 3 Jason Smith [MSFT] 2015-04-10 14:17:31 UTC
Should be fixed in 1.4.3-pre1
Comment 4 Parmendra Kumar 2015-04-23 10:59:09 UTC
I have checked this issue with Xamarin.Forms 1.4.3-pre1 and its working fine at my end.

Hence closing this issue.


Environment info:
=== Xamarin Studio ===

Version 5.9 (build 434)
Installation UUID: 1a096c6f-0678-402e-89b2-a2c10f7e80e4
Runtime:
	Mono 4.0.0 ((detached/fd35b80)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 400000145

=== Apple Developer Tools ===

Xcode 6.2 (6776)
Build 6C131e

=== Xamarin.iOS ===

Version: 8.10.0.266 (Enterprise Edition)
Hash: c8648f0
Branch: master
Build date: 2015-04-21 12:22:24-0400

=== Xamarin.Android ===

Version: 5.1.0.115 (Enterprise Edition)
Android SDK: /Users/360_macmini/Desktop/android-sdk-macosx
	Supported Android versions:
		2.3    (API level 10)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.8.0_31"
Java(TM) SE Runtime Environment (build 1.8.0_31-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.31-b07, mixed mode)

=== Xamarin Android Player ===

Version: Unknown version
Location: /Applications/Xamarin Android Player.app

=== Xamarin.Mac ===

Version: 2.0.0.266 (Enterprise Edition)

=== Build Information ===

Release ID: 509000434
Git revision: 1291dafc0e3477de3999eb2019517f7dc181e443
Build date: 2015-04-22 18:34:20-04
Xamarin addins: 21fd95f743742c5237e22023996c2800ce3f8db3

=== Operating System ===

Mac OS X 10.9.4
Darwin ShrutiMac.local 13.3.0 Darwin Kernel Version 13.3.0
    Tue Jun  3 21:27:35 PDT 2014
    root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64
Comment 5 Michael Rumpler 2015-07-21 04:43:39 UTC
I still see the wrong behavior in 1.4.3.6376. See https://bugzilla.xamarin.com/show_bug.cgi?id=32182.